version: 25.6.3
files:
  - url: Trezor-Suite-25.6.3-win-x64.exe
    sha512: ps+TIZMhu1SdSxnIKBTofK9lcLeKo8WkClFOfQ4RGpmPXDA3QnPxVA2kgmvu3hgSmXzrTNDf/1xvFV0p7WqCiw==
    size: 142356152
path: Trezor-Suite-25.6.3-win-x64.exe
sha512: ps+TIZMhu1SdSxnIKBTofK9lcLeKo8WkClFOfQ4RGpmPXDA3QnPxVA2kgmvu3hgSmXzrTNDf/1xvFV0p7WqCiw==
releaseNotes: |
  ### 🚀 New features

  - Added support for Stellar (XLM) network, which can be accessed via Experimental features.
  - WalletConnect integration is now available via Experimental features, allowing you to connect Suite to popular dApps.

  ### 🎨 Improvements

  - Fonts for addresses and public keys in Suite now match those on Trezor devices to reduce visual discrepancies.
  - The transactions export menu has been improved with clarified filters and support for .csv, .pdf, and .json formats.

  ### 🔧 Bug fixes

  - Fixed minor bugs, improved usability, and optimized performance for a smoother experience.
  - Fixed an issue with the “App is hanging” error modal appearing after startup.
releaseDate: '2025-06-23T10:17:05.893Z'
stagingPercentage: 20
